<div class="content-rating">
  <div class="star-rating" title="{{ scorePct }}%" [style.font-size.px]="fontsize" >
    <div class="back-stars">
      <i class="fa fa-star" (click)="clickStar('1')" aria-hidden="true"></i>
      <i class="fa fa-star" (click)="clickStar('2')" aria-hidden="true"></i>
      <i class="fa fa-star" (click)="clickStar('3')" aria-hidden="true"></i>
      <i class="fa fa-star" (click)="clickStar('4')" aria-hidden="true"></i>
      <i class="fa fa-star" (click)="clickStar('5')" aria-hidden="true"></i>

      <div class="front-stars" [style.width]="scorePct + '%'">
        <i class="fa fa-star" (click)="clickStar('1')" aria-hidden="true"></i>
        <i class="fa fa-star" (click)="clickStar('2')" aria-hidden="true"></i>
        <i class="fa fa-star" (click)="clickStar('3')" aria-hidden="true"></i>
        <i class="fa fa-star" (click)="clickStar('4')" aria-hidden="true"></i>
        <i class="fa fa-star" (click)="clickStar('5')" aria-hidden="true"></i>
      </div>
    </div>
  </div>
</div>

